org.apache.flume.conf

## Class ComponentConfigurationFactory

- java.lang.Object
- - org.apache.flume.conf.ComponentConfigurationFactory

-     public class ComponentConfigurationFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentConfigurationFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentConfiguration` | `create(String name, String type, ComponentConfiguration.ComponentType component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentConfigurationFactory

          public ComponentConfigurationFactory()

  - ### Method Detail

    - #### create

          public static ComponentConfiguration create(String name,
                                      String type,
                                      ComponentConfiguration.ComponentType component)
                                               throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.